from core.constants import CellValue

objectsTiledef = {
    "imageFile": "toen/objects.png",
    "tileSize": (16, 16),
    "tiles": {
        CellValue.NONE: (0, 0),
        CellValue.OBJECTS_SIGN: (1, 0),
        CellValue.OBJECTS_HILL: [(4, 0), (5, 1)],
        CellValue.OBJECTS_ROCKS: [(6, 1), (7, 1)],
        CellValue.OBJECTS_TREES: [(5, 0), (6, 0), (7, 0)],
        CellValue.OBJECTS_MILL: [(0, 1), (1, 1), (2, 1), (3, 1)],
        CellValue.OBJECTS_HOUSES: [(1, 2), (2, 2), (3, 2), (4, 2), (5, 2), (6, 2), (7, 2)],
        CellValue.OBJECTS_ROAD_DIRT: (0, 3),
        CellValue.OBJECTS_ROAD_STONE: (4, 3),
        CellValue.OBJECTS_FARM: [(8, 0), (9, 0), (10, 0), (11, 0)],
        CellValue.OBJECTS_CAMP: (8, 1),
        "bridgeDirt": [(0, 7), (1, 7)],
        "bridgeStone": [(4, 7), (5, 7)],
    },
}